package cn.ibizlab.humanresource.core.humanresource.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.humanresource.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.humanresource.core.humanresource.domain.HRArchivesBorrow;
/**
 * 关系型数据实体[HRArchivesBorrow] 查询条件对象
 */
@Slf4j
@Data
public class HRArchivesBorrowSearchContext extends QueryWrapperContext<HRArchivesBorrow> {

	private String n_hrarchivesborrowname_like;//[档案借阅名称]
	public void setN_hrarchivesborrowname_like(String n_hrarchivesborrowname_like) {
        this.n_hrarchivesborrowname_like = n_hrarchivesborrowname_like;
        if(!ObjectUtils.isEmpty(this.n_hrarchivesborrowname_like)){
            this.getSearchCond().like("hrarchivesborrowname", n_hrarchivesborrowname_like);
        }
    }
	private String n_hrarchivesid_eq;//[档案信息标识]
	public void setN_hrarchivesid_eq(String n_hrarchivesid_eq) {
        this.n_hrarchivesid_eq = n_hrarchivesid_eq;
        if(!ObjectUtils.isEmpty(this.n_hrarchivesid_eq)){
            this.getSearchCond().eq("hrarchivesid", n_hrarchivesid_eq);
        }
    }
	private String n_borrowstate_eq;//[借阅状态]
	public void setN_borrowstate_eq(String n_borrowstate_eq) {
        this.n_borrowstate_eq = n_borrowstate_eq;
        if(!ObjectUtils.isEmpty(this.n_borrowstate_eq)){
            this.getSearchCond().eq("borrowstate", n_borrowstate_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("hrarchivesborrowname", query)   
            );
		 }
	}
}



